Delete Integration
curl --request DELETE \
--url https://gateway.jelou.ai/platform/v1/external-support/{projectId} \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.jelou.ai/platform/v1/external-support/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.jelou.ai/platform/v1/external-support/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": [
"Integration deleted successfully."
],
"statusMessage": "success",
"status": 1
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}Integração
Excluir integração
Exclui sua integração com o painel de atendimento externo
DELETE
/
v1
/
external-support
/
{projectId}
Delete Integration
Esta ação é irreversível. Ao excluir a integração, o Jelou deixará de enviar eventos ao seu webhook. Para reintegrar, será necessário criar uma nova integração.
Descrição
Exclui a integração entre o Jelou e seu painel de atendimento externo para o projeto indicado. Uma vez excluída, o Jelou deixará de enviar eventos ao webhook configurado.Endpoint
DELETE https://gateway.jelou.ai/platform/v1/external-support/{projectId}
Parâmetros de rota
string
obrigatório
Identificador único do projeto Jelou cuja integração se deseja excluir.
Autenticação
Todas as requisições devem incluir o cabeçalhox-api-key com a API key do projeto Jelou.
x-api-key: API_KEY
Exemplo de requisição
O exemplo a seguir exclui a integração do projetoPROJECT_ID. Nenhum corpo é enviado na requisição:
cURL
curl --request DELETE \
--url https://gateway.jelou.ai/platform/v1/external-support/PROJECT_ID \
--header 'x-api-key: API_KEY'
Respostas
| Código | Status | Descrição |
|---|---|---|
| 200 | OK | Integração excluída com sucesso. |
| 401 | Unauthorized | Credenciais de autenticação inválidas ou ausentes. |
| 404 | Not Found | Não existe uma integração para o projectId indicado. |
| 500 | Internal Server Error | Erro interno do servidor. |
Exemplo de resposta
{
"message": [
"Integration deleted successfully"
],
"statusMessage": "success",
"status": 1
}
Autorizações
API key del proyecto de Jelou
Parâmetros de caminho
Unique identifier of the Jelou project
Esta página foi útil?
⌘I